package com.hzya.frame.sys.contrastTask.entity;

import java.util.List;

/**
 * 对照任务返回对象
 *
 * @author makejava
 * @since 2023-08-08 16:33:59
 */
public class SaveBatchConTrastEntity {


    //表名
    private String tableName;
    //userId
    private String userId;
    //具体数据
    private List detailData;
    /** 左应用id */
    private String left_app_id;
    /** 左应用编码 */
    private String left_app_code;
    /** 左应用名称 */
    private String left_app_name;
    /** 左接口ID */
    private String left_api_id;
    /** 右应用id */
    private String right_app_id;
    /** 右应用编码 */
    private String right_app_code;
    /** 右应用名称 */
    private String right_app_name;
    /** 右接口ID */
    private String right_api_id;

    public String getTableName() {
        return tableName;
    }

    public void setTableName(String tableName) {
        this.tableName = tableName;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public List getDetailData() {
        return detailData;
    }

    public void setDetailData(List detailData) {
        this.detailData = detailData;
    }

    public String getLeft_app_id() {
        return left_app_id;
    }

    public void setLeft_app_id(String left_app_id) {
        this.left_app_id = left_app_id;
    }

    public String getLeft_app_code() {
        return left_app_code;
    }

    public void setLeft_app_code(String left_app_code) {
        this.left_app_code = left_app_code;
    }

    public String getLeft_app_name() {
        return left_app_name;
    }

    public void setLeft_app_name(String left_app_name) {
        this.left_app_name = left_app_name;
    }

    public String getLeft_api_id() {
        return left_api_id;
    }

    public void setLeft_api_id(String left_api_id) {
        this.left_api_id = left_api_id;
    }

    public String getRight_app_id() {
        return right_app_id;
    }

    public void setRight_app_id(String right_app_id) {
        this.right_app_id = right_app_id;
    }

    public String getRight_app_code() {
        return right_app_code;
    }

    public void setRight_app_code(String right_app_code) {
        this.right_app_code = right_app_code;
    }

    public String getRight_app_name() {
        return right_app_name;
    }

    public void setRight_app_name(String right_app_name) {
        this.right_app_name = right_app_name;
    }

    public String getRight_api_id() {
        return right_api_id;
    }

    public void setRight_api_id(String right_api_id) {
        this.right_api_id = right_api_id;
    }
}

